net.minecraft.client.renderer.texture

## Class Stitcher.Holder

- java.lang.Object
- - net.minecraft.client.renderer.texture.Stitcher.Holder

- All Implemented Interfaces:
    java.lang.Comparable
  Enclosing class:
    Stitcher

      public static class Stitcher.Holder
      extends java.lang.Object
      implements java.lang.Comparable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stitcher.Holder(TextureAtlasSprite p_i45094_1_, int p_i45094_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(java.lang.Object par1Obj)`
    `int` | `compareTo(Stitcher.Holder par1StitchHolder)`
    `TextureAtlasSprite` | `getAtlasSprite()`
    `int` | `getHeight()`
    `int` | `getWidth()`
    `boolean` | `isRotated()`
    `void` | `rotate()`
    `void` | `setNewDimension(int par1)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Stitcher.Holder

          public Stitcher.Holder(TextureAtlasSprite p_i45094_1_,
                         int p_i45094_2_)

  - ### Method Detail

    - #### getAtlasSprite

          public TextureAtlasSprite getAtlasSprite()

    - #### getWidth

          public int getWidth()

    - #### getHeight

          public int getHeight()

    - #### rotate

          public void rotate()

    - #### isRotated

          public boolean isRotated()

    - #### setNewDimension

          public void setNewDimension(int par1)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(Stitcher.Holder par1StitchHolder)

    - #### compareTo

          public int compareTo(java.lang.Object par1Obj)

      Specified by:
        `compareTo` in interface `java.lang.Comparable`